Moneybird logo
Moneybird API

Custom fields

Custom fields can be used to add extra information to sales invoices, contacts and identities.


List all custom fields

GET
https://moneybird.com/api/v2
/{administration_id}/custom_fields{format}

Custom fields are used to add extra information to entities in the administration. The source field can be sales_invoices, contact or identity and defines for which entities the custom field can be used. The id of a custom field is required to add a value for a custom field to an entity.

Required scope(s)

Any of: settings, sales_invoices, documents, estimates or bank

List all custom fields › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

List all custom fields › Responses

200

A list of custom fields

id
​identifier_nullable · pattern: ^\d+$

A unique record identifier

​
name
​string
source
​string | null · enum
Enum values:
sales_invoice
estimate
contact
identity